Subject: Re: obsolete (and broken) face attribute :reverse-video

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Sep 2024 15:55:02 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Sun, 29 Sep 2024 14:35:01 +0200
> Cc: Emacs Bug Report <[email-masked]>,
>  Eli Zaretskii <[email-masked]>,
>  Stefan Monnier <[email-masked]>
> 
> 29 sep. 2024 kl. 13.31 skrev Gerd Möllmann <[email-masked]>:
> 
> >> I first blamed a simple 14 years old mistake in `custom-fix-face-spec`
> >> but fixing that doesn't help, not sure why.
> 
> Having said that I naturally had to find the bug and it appears to be `face-spec-set-2` which only sets attributes that are present in `face-x-resources` for some reason.
> 
> > I'm pretty sure that I added :italic, :bold, :reverse-video to what
> > later became Emacs 21 only for backwards compatibility with the old
> > pre-21 face implementation. At least on the surface, because 21 faces
> > work completely differently. (I also seem to remeber that reverse-video
> > was a synonym for inverse-video in the old code, maybe even
> > undocumented.
> 
> Thanks. Given Gerd's testimony, the lack of use and general brokenness, I propose we just give up on :reverse-video, perhaps removing it from xfaces.c.

I'm not sure I understand the proposal: we remove :reverse-video, but
keep :inverse-video (which _is_ included in face-x-resources)?  Or did
you mean to remove :inverse-video as well?